/*****
 * 	CStatusBar.h
 *	Status bar graph class by Joe Zobkiw
 *
 *	This code is free and in the public domain, if you use it, please mention
 *	so in your About Box.
 *
 *	Suggestions or bugs: AFA Zobkiw @ America Online
 *
 *****/
 
#define	_H_CStatusBar			/* Include this file only once */
#include <ColorToolbox.h>

#define SHADOW_DEPTH	2


struct CStatusBar : indirect {

	DialogPtr	dialog;
	int			item;
	Boolean		shadow;
	Boolean		vertical;
	Boolean		color;
	RGBColor	rgb;
	
	void	IStatusBar( DialogPtr dialog, int item, Boolean shadow, 
						Boolean vertical, Boolean color, RGBColor rgb );
	
	void 	Draw(void);
	
	void	Update( int percent );
};